View Issue Details

IDProjectCategoryView StatusLast Update
0022730mantisbtuipublic2017-09-03 18:41
ReportertomkicampAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.6.0Fixed in Version2.6.0 
Summary0022730: 'Manage Configuration' tab usually does not highlight
Description

In the Manage Configuration sub-areas, the top level tab only highlights if the sub area Configuration Report is selected.

TagsNo tags attached.

Relationships

related to 0023061 closeddregad print_manage_menu() does not highlight active plugin pages 
related to 0019992 closeddregad Default page for Manage config submenu should be "Permissions Report" 

Activities

tomkicamp

tomkicamp

2017-04-13 13:17

reporter  

dregad

dregad

2017-07-02 19:45

developer   ~0057161

Last edited: 2017-07-02 19:59

View 2 revisions

Regression introduced by 0019992.
EDIT: since the issue is not present in 1.3, the regression was most likely introduced at some point when the change was merged into the modern-ui branch. Earliest affected version is 2.0.0-beta.1.

PR https://github.com/mantisbt/mantisbt/pull/1126

Related Changesets

MantisBT: master 05dff488

2017-07-02 12:43:49

dregad

Details Diff
Fix highlighting of 'Manage Configuration' menu

Issue 0019992 changed the default page for 'Manage Configuration' menu.
This introduced a regression, causing the main menu item to no longer be
properly highlighted when any page other than the previous default one
(Configuration Report) was active.

We now define the default page as a constant (DEFAULT_CONFIG_PAGE),
which is used in all of the menu's sub-pages.

Fixes 0022730
mod - adm_config_report.php Diff File
mod - adm_permissions_report.php Diff File
mod - core/constant_inc.php Diff File
mod - manage_config_columns_page.php Diff File
mod - manage_config_email_page.php Diff File
mod - manage_config_work_threshold_page.php Diff File
mod - manage_config_workflow_page.php Diff File

Issue History

Date Modified Username Field Change
2017-04-13 13:17 tomkicamp New Issue
2017-04-13 13:17 tomkicamp File Added: Screen Shot 2017-04-13 at 10.14.42.png
2017-04-26 15:57 atrol Status new => confirmed
2017-07-02 05:53 atrol Relationship added related to 0023061
2017-07-02 19:38 dregad Relationship added related to 0019992
2017-07-02 19:45 dregad Assigned To => dregad
2017-07-02 19:45 dregad Status confirmed => assigned
2017-07-02 19:45 dregad Note Added: 0057161
2017-07-02 19:45 dregad Target Version => 2.6.0
2017-07-02 19:50 dregad Product Version 2.3.0 => 2.0.0-beta.1
2017-07-02 19:59 dregad Note Edited: 0057161 View Revisions
2017-07-06 06:55 dregad Changeset attached => MantisBT master 05dff488
2017-07-06 06:55 dregad Status assigned => resolved
2017-07-06 06:55 dregad Resolution open => fixed
2017-07-06 06:55 dregad Fixed in Version => 2.6.0
2017-09-03 18:41 vboctor Status resolved => closed